booster::aio::aio_error Namespace Reference

This namespace includes Booster.Aio specific error codes. More...

## Classes

class | category

## Enumerations

enum | { ok, canceled, select_failed, eof, invalid_endpoint, no_service_provided, prefork_not_enabled }

## Functions

BOOSTER_API aio_error::category const & | get_category ()

## Detailed Description

This namespace includes Booster.Aio specific error codes.

## Enumeration Type Documentation

anonymous enum

Enumerator
ok | No error.
canceled | Operation was canceled.
select_failed | It was impossible to perform select operation on the file descriptor.
eof | End of file occured.
invalid_endpoint | The provided endpoint (address) is not valid.
no_service_provided | The io_service was not assigned.
prefork_not_enabled | Prefork acceptor support is not enabled.

## Function Documentation

BOOSTER_API aio_error::category const& booster::aio::aio_error::get_category | ( |  | ) |

get aio category object